#NoTrayIcon
#RequireAdmin
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_outfile=A43Utility.exe
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****


#include <WindowsConstants.au3>

Opt("ExpandEnvStrings",1)

EnvSet("$MainEXEpath","%$Pluginpath%\Files")

; Make A43 Directories
DirCreate("%SystemDrive%\winpe_x86\mount\Program Files\A43")

; Copy A43 files
FileCopy("%$MainEXEpath%\a43.dat","%SystemDrive%\winpe_x86\mount\Program Files\A43\a43.dat",1)
FileCopy("%$MainEXEpath%\A43.exe","%SystemDrive%\winpe_x86\mount\Program Files\A43\A43.exe",1)
FileCopy("%$MainEXEpath%\A43help.txt","%SystemDrive%\winpe_x86\mount\Program Files\A43\A43help.txt",1)

; Registry enties to show extensions and unhide system files
ShellExecuteWait("REG","LOAD HKU\PE_.DEFAULT %SystemDrive%\winpe_x86\mount\windows\system32\config\DEFAULT","","",@SW_HIDE)

RegWrite("HKU\PE_.DEFAULT\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced","Hidden","REG_DWORD","1")
RegWrite("HKU\PE_.DEFAULT\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced","HideFileExt","REG_DWORD","0")
RegWrite("HKU\PE_.DEFAULT\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced","ShowSuperHidden","REG_DWORD","1")

ShellExecuteWait("REG","UNLOAD HKU\PE_.DEFAULT","","",@SW_HIDE)


; Create Shortcuts
FileCreateShortcut("%SystemDrive%\Program Files\A43\A43.exe","%Temp%\MustangPEBuilder\Links\Desktop\A43Utility.lnk","x:\Program Files\A43\","","A43 File Management","x:\Program Files\A43\A43.exe")
FileCreateShortcut("%SystemDrive%\Program Files\A43\A43.exe","%Temp%\MustangPEBuilder\Links\StartMenu\A43Utility.lnk","x:\Program Files\A43\","","A43 File Management","x:\Program Files\A43\A43.exe")
FileCreateShortcut("%SystemDrive%\Program Files\A43\A43.exe","%Temp%\MustangPEBuilder\Links\QuickLaunch\A43Utility.lnk","x:\Program Files\A43\","","A43 File Management","x:\Program Files\A43\A43.exe")



